Subject: Re: Order #473850 problems
From: "Mike" <[email-masked]>
To: "Michael Grove" <[email-masked]>
Date: Mon, 7 Apr 2008 08:09:31 -0400

I think it looks ok.  All though I think that all numbers should be right justified.  Also the "$" should line up but with everything else lining up to the right as well.  So will all of the invoices be using this size font now?  What I was looking for was more of a function that just limited them with the "free" posters as well as the other products.  In other words 8 or 10 products is the max but including "regular products" and "free products".  Is this possible?
  ----- Original Message ----- 
  From: Michael Grove 
  To: Mike 
  Sent: Sunday, April 06, 2008 12:56 PM
  Subject: Re: Order #473850 problems

  Hi Mike,

  This one took a while.  After many hours of tinkering I was able to sort out that the 10 products were taking up more space on the invoice than they were designed to fit in.  For some reason this was causing the ColdFusion service to lock up.  It was tough debugging this one since I had to stop and start the server after every test.

  I was able to come up with a solution.  I made a copy of the invoice logic and adjusted it to be compatible with more than 8 products.  It you are ok with the way this looks I will move this over so all invoices utilize it.

  Mike Grove

  Mike wrote: 
    Mike,
    Ok...I may have found out what caused the problems on Feb. 6th; this order.  The same exact behavior occurred today when trying to open this invoice and print the label.  I think it has something to do with having too many products.  They added 2 more products (free posters) then what is normally allowed.  This has happened before when the rep added the free poster and it took the total higher than the 8 product allowance.  Is the free poster part of the calculation?  It may not be since when it was added the product calculation was already in place.  Just a thought.  Anyways, the product calculation seems to not be functioning properly.  Also, I am unable to open the invoice for order #473850.  Let me know when things are fixed so I can get an invoice for this customer.
    Thank you,
    Michael Bishop
    Labor Law Poster Service
    Phone 877-321-4144
    Fax 888-442-4144
    [email-masked]